<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<!--
Design by TEMPLATED
http://templated.co
Released for free under the Creative Commons Attribution License

Name       : PlainDisplay 
Description: A two-column, fixed-width design with dark color scheme.
Version    : 1.0
Released   : 20140309

-->
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
    <title></title>
    <meta name="keywords" content=""/>
    <meta name="description" content=""/>
    <link href="http://fonts.googleapis.com/css?family=Varela" rel="stylesheet"/>
    <link href="http://fonts.googleapis.com/css?family=Inconsolata" rel="stylesheet" type="text/css" />
    <link href="default.css" rel="stylesheet" type="text/css" media="all"/>
    <link href="fonts.css" rel="stylesheet" type="text/css" media="all"/>
    <link rel="stylesheet"  href="lib/codemirror.css">
    <link rel="stylesheet" href="theme/cobalt.css">

    <script src="lib/codemirror.js"></script>
    <script src="addon/edit/matchbrackets.js"></script>
    <script src="mode/zoomba/zoomba.js"></script>

    <!--[if IE 6]>
    <link href="default_ie6.css" rel="stylesheet" type="text/css"/><![endif]-->
</head>
<body>
<div id="wrapper">
    <div id="header-wrapper">
        <div id="header" class="container">
            <div id="logo">
                <h1><a style="text-transform: none; font-family:'Inconsolata',serif;font-size: 33pt;"
                       href="https://github.com/nmondal/ZoomBA/wiki">&Delta;elta</a> : DEclarative Test Automation</h1>
            </div>
            <div id="menu">
                <ul>
                    <li><a href="index.html" accesskey="1" title="">Home</a></li>
                    <li><a href="learn.html" accesskey="2" title="">Learn</a></li>
                    <li><a href="experiment.html" accesskey="3" title="">Experiment</a></li>
                    <li class="current_page_item"><a href="#" accesskey="4" title="">Delta</a></li>
                </ul>
            </div>
        </div>
    </div>
    <div id="extra" class="container">
        <div class="title">
            <h2>Experience DELTA</h2>
            <span class="byline">Experience Web Testing right from Browser</span>
            <br/><br/>
            <div id="three-column1" style="text-align: left;">
                <span class="byline">URL&nbsp;&nbsp;&nbsp;</span>
                <input id="url"  class="text" type="text" value="http://www.browserstack.com"/><br/><br/>
                <div class="tbox1" style="text-align: left;">
                    <span class="byline">BrowserStack Configuration</span>
                    <textarea  id="code0" name="code0" />
{
   "user" : "nabarunmondal1" ,
   "key" : "nfKAVjATsYRGCmkqxrLS",
   "browser": "Opera",
   "browser_version" : "12.16",
   "os" : "Windows",
   "os_version": "7",
   "browserstack.debug" : "true"
}</textarea> </div>
                <div class="tbox2" style="text-align: left;">
                <span class="byline">Your Script</span>
                <textarea  id="code1" name="code1">
selenium.open("/")
assert ( 'BrowserStack is loaded' ) where {
    selenium.isElementPresent("//a[@title='BrowserStack']")
  } 
</textarea>
                <ul class="actions">
                    <li><a id="execute" href="#" onclick="remoteExec()" class="button">Run</a></li>
                </ul>
                </div>
            </div>
        </div>
        </div>
    <div class="title" style="margin: auto; width: 80%;">
        <span class="byline">Execution Result</span>
        <textarea class="textarea" id="code2" name="code2" readonly></textarea>
        <br/><br/>
    </div>
</div>


    <div id="copyright" class="container">
    <p>&copy; ZoomBA.org. All rights reserved. | Photos by <a href="#"></a> | Design by <a
            href="http://templated.co"
            rel="nofollow"></a>TEMPLATED</p>
</div>
</body>
<script type="text/javascript">
    /*  http://stackoverflow.com/questions/105034/create-guid-uuid-in-javascript  */
    function broofaGUID(){
        return 'xxxxxxxx-xxxx-4xxx-yxxx-xxxxxxxxxxxx'.replace(/[xy]/g, function(c) {
                   var r = Math.random()*16|0, v = c == 'x' ? r : (r&0x3|0x8);
                   return v.toString(16);
         });
    }
    // generate session ID, unique in some sense 
    var sessionID = broofaGUID();

    var myConfig = document.getElementById('code0');
    var config = CodeMirror.fromTextArea( myConfig , {
        lineNumbers: true,
        matchBrackets: true,
        indentUnit: 2,
        theme: "cobalt",
        readOnly: false ,
        lineWrapping : true,
        mode: "text/x-ZoomBA"
    });
    config.setSize(350, 330);

    var myCode = document.getElementById('code1');
    var code = CodeMirror.fromTextArea( myCode , {
        lineNumbers: true,
        matchBrackets: true,
        indentUnit: 2,
        theme: "cobalt",
        readOnly: false ,
        mode: "text/x-ZoomBA"
    });
    code.setSize(600, 330);

    function updateHistory( result ){
        // if the result is server not responding... then change it...
        if ( result.indexOf( "localhost:" ) >= 0 ){
            // error happened ...
            result = "\n !!! ZoomBA Execution Server is Down...Try after some time!!!" ;
        }
        var history = document.getElementById('code2');
        history.value = result ;
    }

    function remoteExec(){
        var xhttp = new XMLHttpRequest();
        xhttp.onreadystatechange = function() {
             if (xhttp.readyState == 4 && xhttp.status == 200) {
                 var result =  xhttp.responseText;
                 updateHistory( result );
             }
       };
       var text = code.getValue();
       var target = document.getElementById('url').value ;
       var configText = config.getValue(); 
       xhttp.open("POST", "remote.php"  , true);
       xhttp.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
       xhttp.send("s=" +  sessionID + 
                  "&e=" + btoa(text) + 
                  "&u=" + btoa(target) + 
                  "&c=" + btoa(configText) );
    }

</script>

</html>
